diff --git a/pyLinuxWheel.py b/pyLinuxWheel.py
index ecb848e..4590484 100755
--- a/pyLinuxWheel.py
+++ b/pyLinuxWheel.py
@@ -103,7 +103,7 @@ class UtilPath:
         return os.path.join(self.get_data_path(), "rules")
 
     def check_logitech_rules(self):
-        return os.path.exists(os.path.join('/etc', 'udev', 'rules.d',  self.rules_file))
+        return os.path.exists(os.path.join('/usr', 'lib', 'udev', 'rules.d',  self.rules_file))
 
     def download_file(self,url, file_name):
         downloaded= False
